
module.exports = {
  checkPassword:checkPassword
}

/**
 * 校验密码：规则为6-20个以字母和数字组合的字符串
 */
function checkPassword(s)  
{
    //长度限制在正则中有问题，只能判断长度。
    if(s.length < 6 || s.length > 20){
        return false;
    }

    let patrn=/[0-9]+[a-zA-Z]+[0-9a-zA-Z]*|[a-zA-Z]+[0-9]+[0-9a-zA-Z]*/;
    if (!patrn.exec(s))
        return false;

    return true;
}