// page/subPackage/pages/zeroSell/components/fellow-alert.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    show: {
      type: Boolean,
      value: false,
      observer: '_propertyChange'
    },
    text: {
      type: String,
      value: "",
      observer: function (value) {
        if (value) {
          this.setData({_text: value })
        }
      }
    },
    copyText: {
      type: String,
      value: '',
      observer: function (value) {
        if (value) {
          this.setData({_copyText: value })
        }
      }
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    _text: '',
    _copyText: '潮流有货',
    _show: false
  },

  /**
   * 组件的方法列表
   */
  methods: {
    onConfirm() {
      this.triggerEvent('ok')
    },

    _propertyChange(newVal) {
      this.setData({
        _show: newVal
      });

      if (newVal) {
        this._setClipboard();
      }
    },

    _setClipboard() {
      wx.setClipboardData({
        data: this.data._copyText,
        success() {
        },
        fail() {
        },
        complete() {
        }
      })
    }
  }
})

