import { jumpByUrl } from '../../libs/urlRoute';

import {
  yasReport,
  YB_MAIN_POP_UP_C,
} from '../../libs/yas.js'

Component({
  options: {
    multipleSlots: true
  },

  properties: {
    src: {
      type: String,
      value: ""
    },
    url: {
      type: String,
      value: ""
    }
  },

  data: {
    isShow: false,
  },

  methods: {
    hideDialog(){
      this.setData({
        isShow: false,
      });
    },
    showDialog(){
      this.setData({
        isShow: true,
      });
    },
    jumpByRule(){
      let that = this;
      if (that.properties.url == null){
        return;
      }
      
      let params = {
        TO_PATH: that.properties.url
      };
      yasReport(YB_MAIN_POP_UP_C, params);
    
      jumpByUrl(that.properties.url,'home');
      that.hideDialog();
    },
  }
})