import {
  getUserInfo,
  getPhoneNumber,
  checkUnionIdIsBind,
} from '../utils/login/login.js';
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    theme: {
      type: String,
      value: 'light',
    },
    isShow: Boolean,
    openType: {
      type: String,
      value: 'getUserInfo',
      observer: function(newValue, oldValue) {
        if (newValue === 'getPhoneNumber') {
          this.setData({
            loginBtnTitle: '绑定手机号',
          });
        } else if (newValue === 'getUserInfo') {
          this.setData({
            loginBtnTitle: '微信授权登录',
          });
        } else {
          this.setData({
            loginBtnTitle: '微信登录',
            checkUnionIdIsBind: 'checkUnionIdIsBind',
          });
        }
      },
    },
  },

  /**
   * 组件的初始数据
   */
  data: {
    logo: 'https://feature.yoho.cn/1019/youhuo2.png',
    lightLogo:
      'https://img11.static.yhbimg.com/article/2018/11/29/11/018a4f01d4621f9072788f6510ac83bfec.png',
    loginBtnTitle: '微信授权登录',
    subLogoTitle: 'LIVE IN STAY COOL',
    tips: '还差一步，绑定手机号,加入Yoho!Family!',
    checkUnionIdIsBind: '',
  },

  /**
   * 组件的方法列表
   */
  methods: {
    getUserInfo,
    getPhoneNumber,
    checkUnionIdIsBind,
  },
});
