// page/subPackage/pages/zeroSell/components/fellow-alert.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    show: {
      type: Boolean,
      value: false,
      observer: '_propertyChange'
    },
    text: {
      type: String,
      value: "",
      observer: function (value) {
        this.setData({_text: value })
      }
    },
    copyText: {
      type: String,
      value: '',
      observer: function (value) {
        this.setData({_copyText: value })
      }
    },
    type: {
      type: Number,
      value: 0,
      observer: function (value) {
        this.setData({_type: value })
      }
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    _type: "",
    _copyText: '',
    _text: '',
    _show: false
  },

  /**
   * 组件的方法列表
   */
  methods: {
    onConfirm() {
      if (this.data._copyText) {
        wx.setClipboardData({
          data: this.data._copyText,
          success() {
          },
          fail() {
          },
          complete() {
          }
        })
      }
      this.triggerEvent('ok')
    },

    _propertyChange(newVal) {
      this.setData({
        _show: newVal
      });
    }
  }
})
