// pages/zeroSell/components/group-recommend-cell.js
import { getImageUrl } from '../../../utils/util.js';
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    product: {
      type: Object,
      value: {},
      observer(newValue) {
        newValue.default_images = getImageUrl(newValue.default_images, 483, 645);
        this.setData({
          group_product: newValue
        })
      }
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    group_product: {},
    group_number_image: '../../../images/tab@3x.png',
    free_post: '../../../images/free-post@3x.png'
  },

  /**
   * 组件的方法列表
   */
  methods: {
    clickGroupDetail(e) {
      this.triggerEvent('handlegroupdetail', e.currentTarget.dataset.groupProduct);
    }
  }
})
