// page/subPackage/pages/zeroSell/components/help.js

import router from '../router/router';

Component({
  /**
   * 组件的属性列表
   */
  properties: {
    url: {
      type: String,
      value: 'https://activity.yoho.cn/feature/2765.html',
    },
    text: {
      type: String,
      value: '查看活动说明',
    },
    title: {
      type: String,
      value: '活动说明',
      obsever: function(title) {
        this.setData({
          title,
        });
      },
    },
  },

  /**
   * 组件的初始数据
   */
  data: {
    title: '活动说明',
  },

  /**
   * 组件的方法列表
   */
  methods: {
    _onTap() {
      router.go('webview', {
        url: this.properties.url,
        title: this.data.title,
      });
    },
  },
});
